postSkus :: MonadHTTP m=> PostSkusRequestBodyThe request body to send
-> ClientT m (Response PostSkusResponse)Monadic computation which returns the result of the operation
POST /v1/skus<p>Creates a new SKU associated with a product.</p>
:: a typeCtrl KGHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27
Modulestripeapi-3.0.0.0Haskell2010
Contains the different functions to run the operation postSkus
postSkus :: MonadHTTP m=> PostSkusRequestBodyThe request body to send
-> ClientT m (Response PostSkusResponse)Monadic computation which returns the result of the operation
POST /v1/skus<p>Creates a new SKU associated with a product.</p>
Defines the object schema located at paths./v1/skus.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.
PostSkusRequestBodypostSkusRequestBodyActive :: Maybe Boolactive: Whether the SKU is available for purchase. Default to `true`.
postSkusRequestBodyAttributes :: Maybe Objectattributes: A dictionary of attributes and values for the attributes defined by the product. If, for example, a product's attributes are `["size", "gender"]`, a valid SKU has the following dictionary of attributes: `{"size": "Medium", "gender": "Unisex"}`.
postSkusRequestBodyCurrency :: Textcurrency: Three-letter ISO currency code, in lowercase. Must be a supported currency.
postSkusRequestBodyExpand :: Maybe [Text]expand: Specifies which fields in the response should be expanded.
postSkusRequestBodyId :: Maybe Textid: The identifier for the SKU. Must be unique. If not provided, an identifier will be randomly generated.
postSkusRequestBodyImage :: Maybe Textimage: The URL of an image for this SKU, meant to be displayable to the customer.
Constraints:
Maximum length of 5000
postSkusRequestBodyInventory :: PostSkusRequestBodyInventory'inventory: Description of the SKU's inventory.
postSkusRequestBodyMetadata :: Maybe Objectmetadata: Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
postSkusRequestBodyPackageDimensions :: Maybe PostSkusRequestBodyPackageDimensions'package_dimensions: The dimensions of this SKU for shipping purposes.
postSkusRequestBodyPrice :: Intprice: The cost of the item as a nonnegative integer in the smallest currency unit (that is, 100 cents to charge $1.00, or 100 to charge ¥100, Japanese Yen being a zero-decimal currency).
postSkusRequestBodyProduct :: Textproduct: The ID of the product this SKU is associated with. Must be a product with type `good`.
Constraints:
Maximum length of 5000
Eq PostSkusRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusShow PostSkusRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusFromJSON PostSkusRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusToJSON PostSkusRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusmkPostSkusRequestBody :: Text-> PostSkusRequestBodyInventory'-> Int-> Text-> PostSkusRequestBodyCreate a new PostSkusRequestBody with all required fields.
Defines the object schema located at paths./v1/skus.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.inventory in the specification.
Description of the SKU's inventory.
Eq PostSkusRequestBodyInventory'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusShow PostSkusRequestBodyInventory'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusFromJSON PostSkusRequestBodyInventory'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusToJSON PostSkusRequestBodyInventory'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusCreate a new PostSkusRequestBodyInventory' with all required fields.
Defines the enum schema located at paths./v1/skus.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.inventory.properties.type in the specification.
PostSkusRequestBodyInventory'Type'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSkusRequestBodyInventory'Type'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSkusRequestBodyInventory'Type'EnumBucketRepresents the JSON value "bucket"
PostSkusRequestBodyInventory'Type'EnumFiniteRepresents the JSON value "finite"
PostSkusRequestBodyInventory'Type'EnumInfiniteRepresents the JSON value "infinite"
Eq PostSkusRequestBodyInventory'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusShow PostSkusRequestBodyInventory'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusFromJSON PostSkusRequestBodyInventory'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusToJSON PostSkusRequestBodyInventory'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusDefines the enum schema located at paths./v1/skus.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.inventory.properties.value in the specification.
PostSkusRequestBodyInventory'Value'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSkusRequestBodyInventory'Value'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSkusRequestBodyInventory'Value'EnumEmptyStringRepresents the JSON value ""
PostSkusRequestBodyInventory'Value'EnumInStockRepresents the JSON value "in_stock"
PostSkusRequestBodyInventory'Value'EnumLimitedRepresents the JSON value "limited"
PostSkusRequestBodyInventory'Value'EnumOutOfStockRepresents the JSON value "out_of_stock"
Eq PostSkusRequestBodyInventory'Value'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusShow PostSkusRequestBodyInventory'Value'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusFromJSON PostSkusRequestBodyInventory'Value'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusToJSON PostSkusRequestBodyInventory'Value'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusDefines the object schema located at paths./v1/skus.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.package_dimensions in the specification.
The dimensions of this SKU for shipping purposes.
Eq PostSkusRequestBodyPackageDimensions'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusShow PostSkusRequestBodyPackageDimensions'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusFromJSON PostSkusRequestBodyPackageDimensions'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusToJSON PostSkusRequestBodyPackageDimensions'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusCreate a new PostSkusRequestBodyPackageDimensions' with all required fields.
Represents a response of the operation postSkus.
The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostSkusResponseError is used.
PostSkusResponseError StringMeans either no matching case available or a parse error
PostSkusResponse200 SkuSuccessful response.
PostSkusResponseDefault ErrorError response.
Eq PostSkusResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkusShow PostSkusResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSkus